Subject: bug#21105: batch article move/copy to groups pompts user too much

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Jan 2017 13:10:37 +0100

Brent Busby <[email-masked]> writes:

> The only complaint I can think of now with Gnus' move/copy behavior is
> that usually it seems like there will be a partial string already typed
> for me *after* the prompt when I want to save or move something, and it
> will often not be the default choice that gnus-move-split-methods is
> trying to give me.
>
> Example:  When I type 'B c' to copy this article to a different mail
> group, I get:
>
> Copy this article to (default nnfolder:uchicago): nnimap+jfimail.uchicago.edu:
>                                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> The highlighted part is *after* the prompt, but I didn't type it.

I think it defaults to the last-entered group prefix, or the current
group prefix...

> It's
> also not the same as the default being suggested my
> gnus-move-split-methods in my configuration, which is being suggested in
> parenthesis in the prompt.  It's offering me a default, and then typing
> for me something completely different that I can now hit enter on
> (defeating my default!).

If you just remove it, the default will be used.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no